#ifndef CONF_FILE_INCLUDE
#define CONF_FILE_INCLUDE

/*The following 2 lines should be moved in the right file */
#define BIOS_TYPE "Bios"
#define RAM_TYPE "Ram"

typedef struct param {
	char *	name;
	char *	data;
} param_t;

typedef struct section {
	char *		name;
	int		nb_param;
	param_t **	param_array;
} section_t;

typedef struct conf {
	int		nb_section;
	section_t **	section_array;
} conf_t;


int  conf_file_init(conf_t * conf);
const char * conf_get(conf_t *conf, const char * section, const char * param);
int conf_set(conf_t *conf, const char * section, const char * param, const char * data,int list);
int  conf_exit(conf_t * conf);

#endif
